(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/animations')) :
    typeof define === 'function' && define.amd ? define('@mintplayer/ng-animations', ['exports', '@angular/animations'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.mintplayer = global.mintplayer || {}, global.mintplayer['ng-animations'] = {}), global.ng.animations));
}(this, (function (exports, animations) { 'use strict';

    var ColorTransitionAnimation = animations.trigger('colorTransition', [
        animations.state('color1', animations.style({
            'background': "{{ color1 }}",
        }), {
            params: {
                color1: '#000',
            }
        }),
        animations.state('color2', animations.style({
            'background': "{{ color2 }}",
        }), {
            params: {
                color2: '#444',
            }
        }),
        animations.transition('color1 => color2', [
            animations.group([
                animations.animate('{{ duration }} ease-in-out', animations.style({
                    'background': "{{ color2 }}"
                })),
            ])
        ], {
            params: {
                color1: '#000',
                color2: '#444',
                duration: '1s',
            }
        }),
        animations.transition('color2 => color1', [
            animations.group([
                animations.animate('{{ duration }} ease-in-out', animations.style({
                    'background': "{{ color1 }}"
                })),
            ])
        ], {
            params: {
                color1: '#000',
                color2: '#444',
                duration: '1s',
            }
        }),
    ]);

    var FadeInOutAnimation = animations.trigger('fadeInOut', [
        animations.state('in', animations.style({
            'opacity': '1',
        })),
        animations.state('out', animations.style({
            'opacity': '0',
        })),
        animations.transition('in => out', [
            animations.group([
                animations.animate('600ms ease-in-out', animations.style({
                    'opacity': '0'
                })),
            ])
        ]),
        animations.transition('out => in', [
            animations.group([
                animations.animate('600ms ease-in-out', animations.style({
                    'opacity': '1'
                })),
            ])
        ]),
    ]);

    var SlideUpDownAnimation = animations.trigger('slideUpDown', [
        animations.state('down', animations.style({
            'height': '*',
        })),
        animations.state('up', animations.style({
            'height': '0px',
        })),
        animations.transition('down => up', [
            animations.group([
                animations.animate('300ms ease-in-out', animations.style({
                    'height': '0px'
                })),
            ])
        ]),
        animations.transition('up => down', [
            animations.group([
                animations.animate('300ms ease-in-out', animations.style({
                    'height': '*'
                })),
            ])
        ]),
    ]);

    /**
     * Generated bundle index. Do not edit.
     */

    exports.ColorTransitionAnimation = ColorTransitionAnimation;
    exports.FadeInOutAnimation = FadeInOutAnimation;
    exports.SlideUpDownAnimation = SlideUpDownAnimation;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=mintplayer-ng-animations.umd.js.map
